%global	sname	ip4r

Summary:	IPv4/v6 type and IPv4/v6 range index type for PostgreSQL
Name:		postgresql-%{sname}
Version:	2.0.2
Release:	alt1_7
License:	BSD
Group:		Databases
# Note that the URL is generated, needs to be changed.
Source0:	http://pgfoundry.org/frs/download.php/3650/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/ip4r
BuildRequires:	postgresql-devel >= 9.1
Source44: import.info


%description
ip4 and ip4r are types that contain a single IPv4 address and a range of 
IPv4 addresses respectively. They can be used as a more flexible, 
index-able version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}/usr/share/doc/*/extension/README.ip4r

%files
%doc README.ip4r
%{_datadir}/pgsql/extension/*
%{_libdir}/pgsql/%{sname}.so

%changelog
* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 2.0.2-alt1_7
- new version

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_7
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_5
- initial fc import

